
import { MesQclbgRecordPageModel, MesQclbgRecordPageParams, MesQclbgRecordPageResult } from './model/QclywbgjlModel';
import { defHttp } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';

enum Api {
  Page = '/scgl/qclywbgjl/page',
  List = '/scgl/qclywbgjl/list',
  Info = '/scgl/qclywbgjl/info',
  MesQclbgRecord = '/scgl/qclywbgjl',
  
  
  
}

/**
 * @description: 查询MesQclbgRecord分页列表
 */
export async function getMesQclbgRecordPage(params: MesQclbgRecordPageParams, mode: ErrorMessageMode = 'modal') {
  return defHttp.get<MesQclbgRecordPageResult>(
    {
      url: Api.Page,
      params,
    },
    {
      errorMessageMode: mode,
    },
  );
}

/**
 * @description: 获取MesQclbgRecord信息
 */
export async function getMesQclbgRecord(id: String, mode: ErrorMessageMode = 'modal') {
  return defHttp.get<MesQclbgRecordPageModel>(
    {
      url: Api.Info,
      params: { id },
    },
    {
      errorMessageMode: mode,
    },
  );
}

/**
 * @description: 新增MesQclbgRecord
 */
export async function addMesQclbgRecord(mesQclbgRecord: Recordable, mode: ErrorMessageMode = 'modal') {
  return defHttp.post<boolean>(
    {
      url: Api.MesQclbgRecord,
      params: mesQclbgRecord,
    },
    {
      errorMessageMode: mode,
    },
  );
}

/**
 * @description: 更新MesQclbgRecord
 */
export async function updateMesQclbgRecord(mesQclbgRecord: Recordable, mode: ErrorMessageMode = 'modal') {
  return defHttp.put<boolean>(
    {
      url: Api.MesQclbgRecord,
      params: mesQclbgRecord,
    },
    {
      errorMessageMode: mode,
    },
  );
}

/**
 * @description: 删除MesQclbgRecord（批量删除）
 */
export async function deleteMesQclbgRecord(ids: string[], mode: ErrorMessageMode = 'modal') {
  return defHttp.delete<boolean>(
    {
      url: Api.MesQclbgRecord,
      data: ids,
    },
    {
      errorMessageMode: mode,
    },
  );
}




